Bug 23751 - Description of staffaccess permission should be improved
Summary: Description of staffaccess permission should be improved
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-04 12:47 UTC by Ray Delahunty
Modified: 2019-12-12 00:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23751: Make staffaccess permission description more precise (2.43 KB, patch)
2019-11-02 11:33 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23751: Make staffaccess permission description more precise (2.57 KB, patch)
2019-11-04 10:27 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 23751: Make staffaccess permission description more precise (2.65 KB, patch)
2019-11-07 11:23 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ray Delahunty 2019-10-04 12:47:32 UTC
In Bug 23108 is the comment “A user without the staffaccess permission cannot change the permissions or password for another user belonging to a patron category that is not type Staff. This works as intended.” Both the documentation and the on-screen explanation of this permission makes no mention that this permission is necessary to modify usernames or passwords. May I suggest that the description of the staffaccess permission be changed to read: “Allow staff members to modify permissions and usernames & passwords for other staff members”.
Comment 1 Katrin Fischer 2019-11-02 11:26:00 UTC
This appears fixed in newer versions:
 Allow staff members to modify permissions and passwords for other staff members
Comment 2 Katrin Fischer 2019-11-02 11:26:45 UTC
I realize, there is also username in the mix here. Reopening.
Comment 3 Katrin Fischer 2019-11-02 11:33:08 UTC
Created attachment 94961 [details] [review]
Bug 23751: Make staffaccess permission description more precise

The permission description was missing 'username' from the description.

To test:
- Look at the permissions of a patron
- Verify the staffaccess permission is labelled:
  Allow staff members to modify permissions and passwords for other staff members
- Apply patch
- Check description again:
  Allow staff members to modify permissions, usernames, and passwords for other staff members
Comment 4 Séverine Queune 2019-11-04 10:27:33 UTC
Created attachment 94993 [details] [review]
Bug 23751: Make staffaccess permission description more precise

The permission description was missing 'username' from the description.

To test:
- Look at the permissions of a patron
- Verify the staffaccess permission is labelled:
  Allow staff members to modify permissions and passwords for other staff members
- Apply patch
- Check description again:
  Allow staff members to modify permissions, usernames, and passwords for other staff members

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 Jonathan Druart 2019-11-07 11:23:58 UTC
Created attachment 95142 [details] [review]
Bug 23751: Make staffaccess permission description more precise

The permission description was missing 'username' from the description.

To test:
- Look at the permissions of a patron
- Verify the staffaccess permission is labelled:
  Allow staff members to modify permissions and passwords for other staff members
- Apply patch
- Check description again:
  Allow staff members to modify permissions, usernames, and passwords for other staff members

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Martin Renvoize 2019-11-07 13:27:21 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Lucas Gass 2019-12-12 00:14:52 UTC
backported to 19.05.x for 19.05.06